# Group by a location with prefix e.g. "hcloud_location_nbg1"
# and image_os_flavor without prefix and separator e.g. "ubuntu"
# and status with prefix e.g. "server_status_running"
plugin: hcloud

label_selector: role=kubernetes

keyed_groups:
  - key: location
    prefix: hcloud_location
  - key: labels
    prefix: hcloud_role
    separator: ""
  - key: image_os_flavor
    separator: ""
  - key: status
    prefix: server_status